# $Revision: 1.21 $, $Date: 2004/08/18 22:03:42 $
Summary:	ZENIRC IRC Client
Summary(pl):	ZENIRC - klient IRC
Name:		xemacs-zenirc-pkg
%define		srcname	zenirc
Version:	2.112
Release:	2
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.splode.com/pub/zenirc/zenirc-%{version}.tar.gz
# Source0-md5:	ad6e1bb57e6416deac171c870bce2830
#Patch0:		xemacs-zenirc-pkg-info.patch
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ZENIRC IRC Client.

%description -l pl
ZENIRC - klient IRC.

%prep
%setup -q -n zenirc-%{version}
#%patch0 -p1
cat <<EOF >src/auto-autoloads.el
(autoload 'zenirc "zenirc" nil t)
# no goodies!
#(autoload 'zenirc-color-mode "zenirc-color-mode" nil t)
#(autoload 'zenirc-complete "zenirc-complete" nil t)
EOF

%build
#(cd man/zenirc; awk '/^\\input texinfo/ {print FILENAME}' * | xargs makeinfo)
./configure
%{__make} EMACS=xemacs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/zenirc
install -d $RPM_BUILD_ROOT%{_infodir}

cp src/*example* .
# remove .el file if corresponding .elc exists
for i in src/*.el; do test ! -f ${i}c || rm -f $i ; done
install src/*.el* $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/zenirc

install doc/*.info* $RPM_BUILD_ROOT%{_infodir}

rm -f doc/zenirc.{info,txt,texi}

%clean
rm -fr $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc BUGS README NEWS doc *example*
%{_datadir}/xemacs-packages/lisp/*
%{_infodir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-zenirc-pkg.spec,v $
Revision 1.21  2004/08/18 22:03:42  havner
- rel 2

Revision 1.20  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:28:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/11/30 23:00:31  juandon
- new %%doc

Revision 1.17  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/18 18:31:34  gotar
- %desc

Revision 1.15  2002/01/18 02:15:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/11 11:34:03  qboosh
- don't gzip info documents in spec - rpm does
- adapterized, fixed or added some pl translations

Revision 1.13  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.11  2001/04/25 17:08:30  klakier
- changed source to original site but it looks it is the same version as
  that from xemacs/packages

Revision 1.10  2001/02/13 18:51:40  mis
- updated to 1.09

Revision 1.9  2000/11/29 13:35:24  wiget
new versions (massive upgrade)

Revision 1.8  2000/09/26 08:43:13  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.7  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.6  2000/05/01 20:11:43  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:21  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:32  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 23:07:08  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
